import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FormsModule } from '@angular/forms';

import { SensorModule } from 'packages/sensor/sensor.module';
import { DiscoveryModule } from 'packages/discovery/discovery.module';

import { MaterialModule } from 'packages/commons/material/material.module';

import { SettingComponent as DiscoverySettingComponent } from 'packages/discovery/component/setting/setting.component';

import { SensorSettingPageRoutingModule } from './sensor-setting-page-routing.module';
import { SensorSettingPageComponent } from './sensor-setting-page.component';


@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    SensorSettingPageRoutingModule,
    SensorModule,
    FormsModule,
    DiscoveryModule
  ],
  entryComponents: [
    DiscoverySettingComponent
  ],
  declarations: [SensorSettingPageComponent]
})
export class SensorSettingPageModule { }
