import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { MaterialModule } from 'packages/commons/material/material.module';

import { InputChipModule } from 'packages/commons/component/input-chip/input-chip.module';

import { DiscoveryStoreModule } from './discovery-store.module';
import { COMPONENTS } from './component';
import { SERVICES } from './service';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    InputChipModule,
    FormsModule,
    DiscoveryStoreModule,
  ],
  declarations: [
    COMPONENTS
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class DiscoveryModule { }
